Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_cref_struct Struct Reference

CREF (Class REFerence) More...

`#include <method.h>`

## Data Fields
VALUE | flags
VALUE | refinements
VALUE | klass
struct rb_cref_struct * | next
const rb_scope_visibility_t | scope_visi

## Detailed Description

CREF (Class REFerence)

Definition at line 41 of file method.h.

## Field Documentation

## ◆ flags

VALUE rb_cref_struct::flags

Definition at line 42 of file method.h.

## ◆ klass

VALUE rb_cref_struct::klass

Definition at line 44 of file method.h.

## ◆ next

struct rb_cref_struct * rb_cref_struct::next

Definition at line 45 of file method.h.

## ◆ refinements

VALUE rb_cref_struct::refinements

Definition at line 43 of file method.h.

## ◆ scope_visi

const rb_scope_visibility_t rb_cref_struct::scope_visi

Definition at line 46 of file method.h.

The documentation for this struct was generated from the following files:

- method.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h